<div id="convert2Template" class="modal fade addModal">
    <div class="modal-dialog modal-lg modal-simple">
        <div class="modal-content">
            <div class="modal-header">
                <h4 id="labelTitleConfirmDialog" class="modal-title"><?= lang('ClientePrecios.convertir2plantilla') ?></h4>
            </div>
            <div class="modal-body">
                <div id='error-nombre'></div>
                
                <div class="mb-3">
                    <p><?= lang('ClientePrecios.convertir2plantillaText') ?></p>
                    <p><?= lang('ClientePrecios.convertir2plantillaText2') ?></p>
                </div><!--//.mb-3 -->                
                
                <div class="mb-3">
                    <label for="nombre_plantilla" class="form-label">
                        <?= lang('ClientePrecios.nombrePlantilla') ?>
                    </label>
                    <input type="text" id="nombre_plantilla" maxLength="100" class="form-control new-address">
                </div><!--//.mb-3 -->

            </div>
            <div class="modal-footer">
                <button id="saveTemplate"
                        type="button"
                        class="btn btn-primary"
                ><?= lang('App.global_save') ?></button>
                <button id="cancelTemplate"
                        type="button"
                        class="btn btn-default"
                ><?= lang('App.user_delete_btn_cancel') ?></button>
            </div>
        </div>
    </div>
</div>


<?= $this->section("additionalInlineJs") ?>
$('#saveTemplate').on('click', function(){
    if($('#nombre_plantilla').val().length == 0){
        popErrorAlert('<?= lang('ClientePrecios.errors.error_nombre_template') ?>', 'error-nombre')
    }
    else{
        data = new FormData();
        data.append('cliente_id', id)
        data.append('nombre', $('#nombre_plantilla').val())
        data.append('<?= csrf_token() ?? "token" ?>', <?= csrf_token() ?>v)
        fetch('<?= route_to("createClienteplantillaprecios");?>'  , {
            method: "POST",
            body: data,
        })
        .then(data => {
            $('#convert2Template').modal("hide");
            var newOption = new Option($('#nombre_plantilla').val(), "", false, false);
            $('#plantillas').append(newOption);
            $('#nombre_plantilla').val("");
        })
    }
})


$('#cancelTemplate').on('click', function(){
    $('#convert2Template').modal("hide");
})
<?=$this->endSection() ?>